# norootforbuild

Name:		streamripper
Version:	1.64.6
Release:	1.5

Summary:	Record shoutcast compatible streams
URL:		http://sourceforge.net/projects/streamripper
License:	GPL
Group:		Productivity/Multimedia/Other

Source:		http://switch.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source90:	%{name}-rpmlintrc

Patch:		%{name}-implicit-fortify-decl.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	glib2-devel pkgconfig libogg-devel libvorbis-devel libmad-devel
BuildRequires:	ncurses-devel libfaad-devel


%description
Streamripper records shoutcast compatible streams. Shoutcast style
streams contain "meta data" or track separation data, it uses that as a
marker for where the track should be separated, next the MP3 data is
decoded and scanned for a silent point which is where tracks will be
created. Finally, tracks are placed nicely on your harddrive with
appropriate names and separation.





%prep
%setup -q
%patch -p1


%build
touch NEWS AUTHORS ChangeLog
pushd libmad*
touch NEWS AUTHORS ChangeLog
popd
#autoreconf --force --install

export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
	--prefix=/usr \
	--mandir=%{_mandir} \
	--with-included-libmad=no \
	--with-included-tre=no
%__make

%install
%makeinstall

%files
%defattr(-,root,root)
%doc README
%doc %{_mandir}/man1/*
%{_bindir}/*

%changelog -n %{name}
* Thu Apr 30 2009 -Toni Graffy <toni@links2linux.de> 1.64.6-0.pm.1
- new upstream version 1.64.6
- added ncurses-devel and libfaad-devel to BuildRequires
- Fix bug which creates corrupted id3v2 tags
- Remove trailing periods for stream name

* Mon Mar 09 2009 - Detlef Reichelt <detlef@links2linux.de> <1.64.5>-<0.pm.2>
- new upstream version <1.64.5>
  * Change default values for
    - localhost from "localhost" to "127.0.0.1"
    - splitpoint padding from 300 ms to 0 ms
    - metadata and relay codeset (if UTF-8) to ISO-8859-1
    - id3 codeset to UTF-16
    - "keep files in incomplete" from false to true
  * Fix parse rules to properly tag artists with "-" in their name (#540543)
  * Fix bitrate & metadata reporting in console (#1957248)
  * Fix integer overflow on bytes read (#1261305)
  * Option for stopping based on megabytes ripped now uses MiB instead of MB
  * Support splitting based on empty StreamTitle= strings 2648664
* Sat Feb 21 2009 - Detlef Reichelt <detlef@links2linux.de> <1.64.4>-<0.pm.1>
- new upstream version <1.64.4>
  * Fix problem where corrupt ogg files are being created
  * Robustify metadata parsing for Limecast servers
  * Fix buffer overflow bug with substitution rules (#2492422)
  * Fix file creation bug when "/" is in stream name (#2533980)
  * Disable creating cue file for ogg streams
  * Fix problem skipping extra track on ogg streams
* Mon Dec 29 2008 - Detlef Reichelt <detlef@links2linux.de> <1.64.3>-<0.pm.1>
- new upstream version <1.64.3>
  * Fix bug where ogg streams with repeated metadata were being split
* Sun Dec 14 2008 - Detlef Reichelt <detlef@links2linux.de>
- Update to version 1.64.1
  * Plugin: Streamripper can now load zipped skins
  * Plugin: Streamripper skins can be (slightly) configured to use different
    image regions.  This fixes the "extra pixel" bug.
  * Streamripper again skips leading dots "." when making files & directories
  * Fix problem with control characters in metadata
  * Fix crash when splitting without padding and without search window
  * Workaround problem with ogg streams which don't send any metadata
  * Streamripper now respects user timeout in more situations
  * Add --xs-none option
* Wed Dec 10 2008 - Detlef Reichelt <detlef@links2linux.de>
- Update to version 1.64.0
* Wed Sep 26 2007 - Henne Vogelsang <henne@links2linux.de>
- Update to version 1.62.3
* Tue Aug 28 2007 - Henne Vogelsang <henne@links2linux.de>
- Update to version 1.62.2
* Wed Dec 20 2006 - Henne Vogelsang <henne@links2linux.de>
- update to version 1.61.27
* Wed Mar 22 2006 - Henne Vogelsang <henne@links2linux.de>
- update to version 1.61.18
- add libogg-devel libvorbis-devel to buildrequires 
* Thu Mar 16 2006 - Henne Vogelsang <henne@links2linux.de>
- update to 1.61.17 
* Tue Sep 20 2005 - Henne Vogelsang <henne@links2linux.de>
- First packman release
